#version 430 core

uniform sampler2D sampler;

smooth in vec2 vTexCoord;
smooth in vec4 vColorPart;

out vec4 FragColor;

void main()
{
	vec4 vTexColor = texture(sampler, vTexCoord);
	FragColor = vColorPart*vTexColor;
}