#version 430 core

smooth in vec2 _texCoord;

out vec4 outputColor;

uniform sampler2D sampler;

void main()
{
	vec4 vTexColor = texture(sampler, _texCoord);
	bool isWhite = vTexColor.r == 1.0 && vTexColor.g == 1.0 && vTexColor.b == 1.0;
	outputColor = vec4(vTexColor.xyz, isWhite ? 0.0 : 1.0);
}