#version 430 core

uniform mat4 projectionMatrix;
uniform mat4 modelMatrix;

layout (location = 0) in vec2 inPosition;
layout (location = 1) in vec2 inCoord;

smooth out vec2 _texCoord;

void main()
{
	gl_Position = projectionMatrix*modelMatrix*vec4(inPosition, 0.0, 1.0);
	_texCoord = inCoord;
}